Create a new token
curl --request POST \
--url https://api.paylora.org/api/v1/token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "USDT",
"address": "0xAbC123...",
"decimals": 18,
"network": "ARB_SEPOLIA",
"status": "whitelisted"
}
'import requests
url = "https://api.paylora.org/api/v1/token"
payload = {
"name": "USDT",
"address": "0xAbC123...",
"decimals": 18,
"network": "ARB_SEPOLIA",
"status": "whitelisted"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'USDT',
address: '0xAbC123...',
decimals: 18,
network: 'ARB_SEPOLIA',
status: 'whitelisted'
})
};
fetch('https://api.paylora.org/api/v1/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"uuid": "<string>",
"name": "<string>",
"address": "<string>",
"network": "ARB_SEPOLIA",
"decimals": 18,
"status": "<string>"
}
}{
"statusCode": 400,
"message": [
"[value] is not valid"
]
}{
"statusCode": 401,
"message": "Invalid signature | jwt must be provided"
}{
"statusCode": 403,
"message": "Only [admin, customer] has access"
}{
"statusCode": 404,
"message": "Resource Not Found"
}{
"statusCode": 409,
"message": "Resource with unique value (email, name etc) already exist"
}{
"statusCode": 429,
"message": "Too Many Requests"
}{
"statusCode": 500,
"message": "Sever error message"
}Token
Create a new token
Create Token. Permissions [“admin”]
POST
/
api
/
v1
/
token
Create a new token
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The name of the token
Example:
"USDT"
The contract address of the token
Example:
"0xAbC123..."
The number of decimal places for the token
Example:
18
The network of the transaction
Example:
"ARB_SEPOLIA"
The status of the token
Available options:
whitelisted, not_whitelisted Example:
"whitelisted"
⌘I

